# pybedtools.scripts.annotate

annotate a file with the neearest features in another.

> %prog [options]

if –upstream and –downstream are not specified only 2 colummns are added to the [a] file: nearest_name, nearest_distance. if they are specified upstream_names, downstream_names are specified. if –report-distance is included, the format will be:

> gene:dist,gene2:dist2

for each of the up and downstream columns.

Functions

`add_closest`(aname, bname) |
`add_xstream`(a, b, dist, updown[, …]) |
`gen_get_name`(b, afields) |
`get_gff_name`(field) |
`main`() | annotate a file with the neearest features in another.